Flag SVG
curl --request GET \
--url https://api.reqi.dev/v1/flags/get/svg/{code}import requests
url = "https://api.reqi.dev/v1/flags/get/svg/{code}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.reqi.dev/v1/flags/get/svg/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reqi.dev/v1/flags/get/svg/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reqi.dev/v1/flags/get/svg/{code}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reqi.dev/v1/flags/get/svg/{code}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reqi.dev/v1/flags/get/svg/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"message": "<string>",
"status": 123
}Flags
Flag SVG
301 redirect to /flags/.svg (or hashed SVG when opaque=true).
GET
/
v1
/
flags
/
get
/
svg
/
{code}
Flag SVG
curl --request GET \
--url https://api.reqi.dev/v1/flags/get/svg/{code}import requests
url = "https://api.reqi.dev/v1/flags/get/svg/{code}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.reqi.dev/v1/flags/get/svg/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reqi.dev/v1/flags/get/svg/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reqi.dev/v1/flags/get/svg/{code}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reqi.dev/v1/flags/get/svg/{code}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reqi.dev/v1/flags/get/svg/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"message": "<string>",
"status": 123
}301 redirect to /flags/.svg (or hashed SVG when opaque=true).
Path Parameters
ISO 3166-1 alpha-2 code (case-insensitive).
Query Parameters
If true or 1, redirect to an opaque content-hashed filename (/flags/{24-hex}.svg|png) for immutable caching. Default redirects use ISO codes (/flags/{code}.svg|png).
Available options:
true, false, 1, 0 Response
Redirect to /flags/{code}.png or .svg by default, or to /flags/{hash} when opaque=true.